View Issue Details

IDProjectCategoryView StatusLast Update
0001473SymmetricDSBugpublic2014-02-02 20:53
ReportermhanesAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.11 
Target Version3.5.12Fixed in Version3.5.12 
Summary0001473: Oracle DDL Util issue isn't correctly recognizing varchar2() columns
DescriptionRunning Symmetric each time results in the following repeating alters. Probably a DDL Utils Oracle-wise. The column appears to be the correct size before this is run.

2013-11-23 12:57:14,536 INFO [corp-00000] [OracleSymmetricDialect] [symmetric-startup] There are SymmetricDS tables that needed altered
2013-11-23 12:57:14,604 INFO [corp-00000] [OracleSymmetricDialect] [symmetric-startup] DDL applied: ALTER TABLE "SYM_TRIGGER"
DROP CONSTRAINT "SYM_FK_TRG_2_CHNL"
2013-11-23 12:57:14,614 INFO [corp-00000] [OracleSymmetricDialect] [symmetric-startup] DDL applied: ALTER TABLE "SYM_ROUTER"
DROP CONSTRAINT "SYM_FK_RT_2_GRP_LNK"
2013-11-23 12:57:14,624 INFO [corp-00000] [OracleSymmetricDialect] [symmetric-startup] DDL applied: ALTER TABLE "SYM_TRANSFORM_TABLE"
DROP CONSTRAINT "SYM_FK_TT_2_GRP_LNK"
2013-11-23 12:57:14,624 INFO [corp-00000] [OracleSymmetricDialect] [symmetric-startup] DDL applied: ALTER TABLE "SYM_TRIGGER_ROUTER"
DROP CONSTRAINT "SYM_FK_TR_2_TRG"
2013-11-23 12:57:14,624 INFO [corp-00000] [OracleSymmetricDialect] [symmetric-startup] DDL applied: ALTER TABLE "SYM_TRIGGER_ROUTER"
DROP CONSTRAINT "SYM_FK_TR_2_RTR"
2013-11-23 12:57:14,634 INFO [corp-00000] [OracleSymmetricDialect] [symmetric-startup] DDL applied: ALTER TABLE "SYM_FILE_TRIGGER_ROUTER"
DROP CONSTRAINT "SYM_FK_FTR_2_RTR"
2013-11-23 12:57:14,644 INFO [corp-00000] [OracleSymmetricDialect] [symmetric-startup] DDL applied: ALTER TABLE "SYM_TRIGGER"
MODIFY "SOURCE_CATALOG_NAME" VARCHAR2(50)
2013-11-23 12:57:14,654 INFO [corp-00000] [OracleSymmetricDialect] [symmetric-startup] DDL applied: ALTER TABLE "SYM_TRIGGER"
MODIFY "SOURCE_SCHEMA_NAME" VARCHAR2(50)
2013-11-23 12:57:14,663 INFO [corp-00000] [OracleSymmetricDialect] [symmetric-startup] DDL applied: ALTER TABLE "SYM_TRIGGER"
MODIFY "SOURCE_TABLE_NAME" VARCHAR2(50)
2013-11-23 12:57:14,673 INFO [corp-00000] [OracleSymmetricDialect] [symmetric-startup] DDL applied: ALTER TABLE "SYM_TRIGGER"
MODIFY "NAME_FOR_UPDATE_TRIGGER" VARCHAR2(50)
2013-11-23 12:57:14,683 INFO [corp-00000] [OracleSymmetricDialect] [symmetric-startup] DDL applied: ALTER TABLE "SYM_TRIGGER"
MODIFY "NAME_FOR_INSERT_TRIGGER" VARCHAR2(50)
2013-11-23 12:57:14,703 INFO [corp-00000] [OracleSymmetricDialect] [symmetric-startup] DDL applied: ALTER TABLE "SYM_TRIGGER"
MODIFY "NAME_FOR_DELETE_TRIGGER" VARCHAR2(50)
2013-11-23 12:57:14,703 INFO [corp-00000] [OracleSymmetricDialect] [symmetric-startup] DDL applied: ALTER TABLE "SYM_ROUTER"
MODIFY "TARGET_CATALOG_NAME" VARCHAR2(50)
2013-11-23 12:57:14,722 INFO [corp-00000] [OracleSymmetricDialect] [symmetric-startup] DDL applied: ALTER TABLE "SYM_ROUTER"
MODIFY "TARGET_SCHEMA_NAME" VARCHAR2(50)
2013-11-23 12:57:14,732 INFO [corp-00000] [OracleSymmetricDialect] [symmetric-startup] DDL applied: ALTER TABLE "SYM_ROUTER"
MODIFY "TARGET_TABLE_NAME" VARCHAR2(50)
2013-11-23 12:57:14,732 INFO [corp-00000] [OracleSymmetricDialect] [symmetric-startup] DDL applied: ALTER TABLE "SYM_REGISTRATION_REQUEST"
MODIFY "IP_ADDRESS" VARCHAR2(21)
2013-11-23 12:57:14,742 INFO [corp-00000] [OracleSymmetricDialect] [symmetric-startup] DDL applied: ALTER TABLE "SYM_TRIGGER_HIST"
MODIFY "SOURCE_TABLE_NAME" VARCHAR2(50)
2013-11-23 12:57:14,752 INFO [corp-00000] [OracleSymmetricDialect] [symmetric-startup] DDL applied: ALTER TABLE "SYM_TRIGGER_HIST"
MODIFY "SOURCE_CATALOG_NAME" VARCHAR2(50)
2013-11-23 12:57:14,761 INFO [corp-00000] [OracleSymmetricDialect] [symmetric-startup] DDL applied: ALTER TABLE "SYM_TRIGGER_HIST"
MODIFY "SOURCE_SCHEMA_NAME" VARCHAR2(50)
2013-11-23 12:57:14,771 INFO [corp-00000] [OracleSymmetricDialect] [symmetric-startup] DDL applied: ALTER TABLE "SYM_TRIGGER_HIST"
MODIFY "NAME_FOR_UPDATE_TRIGGER" VARCHAR2(50)
2013-11-23 12:57:14,781 INFO [corp-00000] [OracleSymmetricDialect] [symmetric-startup] DDL applied: ALTER TABLE "SYM_TRIGGER_HIST"
MODIFY "NAME_FOR_INSERT_TRIGGER" VARCHAR2(50)
2013-11-23 12:57:14,791 INFO [corp-00000] [OracleSymmetricDialect] [symmetric-startup] DDL applied: ALTER TABLE "SYM_TRIGGER_HIST"
MODIFY "NAME_FOR_DELETE_TRIGGER" VARCHAR2(50)
2013-11-23 12:57:14,801 INFO [corp-00000] [OracleSymmetricDialect] [symmetric-startup] DDL applied: ALTER TABLE "SYM_DATA"
MODIFY "TABLE_NAME" VARCHAR2(50)
2013-11-23 12:57:14,811 INFO [corp-00000] [OracleSymmetricDialect] [symmetric-startup] DDL applied: ALTER TABLE "SYM_DATA"
MODIFY ("DATA_ID" NUMBER)
2013-11-23 12:57:14,811 INFO [corp-00000] [OracleSymmetricDialect] [symmetric-startup] DDL applied: ALTER TABLE "SYM_DATA_GAP"
MODIFY ("START_ID" NUMBER)
2013-11-23 12:57:14,820 INFO [corp-00000] [OracleSymmetricDialect] [symmetric-startup] DDL applied: ALTER TABLE "SYM_DATA_GAP"
MODIFY ("END_ID" NUMBER)
2013-11-23 12:57:14,830 INFO [corp-00000] [OracleSymmetricDialect] [symmetric-startup] DDL applied: ALTER TABLE "SYM_DATA_EVENT"
MODIFY ("DATA_ID" NUMBER)
2013-11-23 12:57:14,840 INFO [corp-00000] [OracleSymmetricDialect] [symmetric-startup] DDL applied: ALTER TABLE "SYM_DATA_EVENT"
MODIFY ("BATCH_ID" NUMBER)
2013-11-23 12:57:14,840 INFO [corp-00000] [OracleSymmetricDialect] [symmetric-startup] DDL applied: ALTER TABLE "SYM_OUTGOING_BATCH"
MODIFY ("BATCH_ID" NUMBER)
2013-11-23 12:57:14,850 INFO [corp-00000] [OracleSymmetricDialect] [symmetric-startup] DDL applied: ALTER TABLE "SYM_INCOMING_BATCH"
MODIFY ("BATCH_ID" NUMBER)
2013-11-23 12:57:14,850 INFO [corp-00000] [OracleSymmetricDialect] [symmetric-startup] DDL applied: ALTER TABLE "SYM_TRANSFORM_TABLE"
MODIFY "SOURCE_CATALOG_NAME" VARCHAR2(128)
2013-11-23 12:57:14,869 INFO [corp-00000] [OracleSymmetricDialect] [symmetric-startup] DDL applied: ALTER TABLE "SYM_TRANSFORM_TABLE"
MODIFY "SOURCE_SCHEMA_NAME" VARCHAR2(128)
2013-11-23 12:57:14,879 INFO [corp-00000] [OracleSymmetricDialect] [symmetric-startup] DDL applied: ALTER TABLE "SYM_TRANSFORM_TABLE"
MODIFY "SOURCE_TABLE_NAME" VARCHAR2(128)
2013-11-23 12:57:14,879 INFO [corp-00000] [OracleSymmetricDialect] [symmetric-startup] DDL applied: ALTER TABLE "SYM_TRANSFORM_TABLE"
MODIFY "TARGET_CATALOG_NAME" VARCHAR2(128)
2013-11-23 12:57:14,889 INFO [corp-00000] [OracleSymmetricDialect] [symmetric-startup] DDL applied: ALTER TABLE "SYM_TRANSFORM_TABLE"
MODIFY "TARGET_SCHEMA_NAME" VARCHAR2(128)
2013-11-23 12:57:14,899 INFO [corp-00000] [OracleSymmetricDialect] [symmetric-startup] DDL applied: ALTER TABLE "SYM_TRANSFORM_TABLE"
MODIFY "TARGET_TABLE_NAME" VARCHAR2(128)
2013-11-23 12:57:14,909 INFO [corp-00000] [OracleSymmetricDialect] [symmetric-startup] DDL applied: ALTER TABLE "SYM_TRIGGER"
ADD CONSTRAINT "SYM_FK_TRG_2_CHNL" FOREIGN KEY ("CHANNEL_ID") REFERENCES "SYM_CHANNEL" ("CHANNEL_ID")
2013-11-23 12:57:14,928 INFO [corp-00000] [OracleSymmetricDialect] [symmetric-startup] DDL applied: ALTER TABLE "SYM_ROUTER"
ADD CONSTRAINT "SYM_FK_RT_2_GRP_LNK" FOREIGN KEY ("SOURCE_NODE_GROUP_ID", "TARGET_NODE_GROUP_ID") REFERENCES "SYM_NODE_GROUP_LINK" ("SOURCE_NODE_GROUP_ID", "TARGET_NODE_GROUP_ID")
2013-11-23 12:57:14,938 INFO [corp-00000] [OracleSymmetricDialect] [symmetric-startup] DDL applied: ALTER TABLE "SYM_TRANSFORM_TABLE"
ADD CONSTRAINT "SYM_FK_TT_2_GRP_LNK" FOREIGN KEY ("SOURCE_NODE_GROUP_ID", "TARGET_NODE_GROUP_ID") REFERENCES "SYM_NODE_GROUP_LINK" ("SOURCE_NODE_GROUP_ID", "TARGET_NODE_GROUP_ID")
2013-11-23 12:57:14,958 INFO [corp-00000] [OracleSymmetricDialect] [symmetric-startup] DDL applied: ALTER TABLE "SYM_TRIGGER_ROUTER"
ADD CONSTRAINT "SYM_FK_TR_2_TRG" FOREIGN KEY ("TRIGGER_ID") REFERENCES "SYM_TRIGGER" ("TRIGGER_ID")
2013-11-23 12:57:14,968 INFO [corp-00000] [OracleSymmetricDialect] [symmetric-startup] DDL applied: ALTER TABLE "SYM_TRIGGER_ROUTER"
ADD CONSTRAINT "SYM_FK_TR_2_RTR" FOREIGN KEY ("ROUTER_ID") REFERENCES "SYM_ROUTER" ("ROUTER_ID")
2013-11-23 12:57:14,977 INFO [corp-00000] [OracleSymmetricDialect] [symmetric-startup] DDL applied: ALTER TABLE "SYM_FILE_TRIGGER_ROUTER"
ADD CONSTRAINT "SYM_FK_FTR_2_RTR" FOREIGN KEY ("ROUTER_ID") REFERENCES "SYM_ROUTER" ("ROUTER_ID")
TagsNo tags attached.

Activities

chenson

2013-11-24 13:04

administrator   ~0000395

What are the steps to reproduce this?

Related Changesets

SymmetricDS: master 5d8e1083

2013-11-24 16:57:10

chenson

Details Diff
0001473: Oracle DDL Util issue isn't correctly recognizing varchar2() columns
0001473
mod - symmetric-db/src/main/java/org/jumpmind/db/model/Database.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/model/PlatformColumn.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDdlBuilder.java Diff File
add - symmetric-db/src/test/java/org/jumpmind/db/platform/AbstractDdlBuilderTest.java Diff File
mod - symmetric-jdbc/src/test/java/org/jumpmind/db/DatabasePlatformTest.java Diff File

Issue History

Date Modified Username Field Change
2013-11-23 13:09 mhanes New Issue
2013-11-23 13:09 mhanes Status new => assigned
2013-11-23 13:09 mhanes Assigned To => chenson
2013-11-24 13:04 chenson Note Added: 0000395
2013-11-24 16:57 chenson Status assigned => resolved
2013-11-24 16:57 chenson Fixed in Version => 3.6.0
2013-11-24 16:57 chenson Resolution open => fixed
2013-11-24 18:46 chenson Fixed in Version 3.6.0 => 3.5.12
2013-12-18 10:55 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7780
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 5d8e1083